% :- dynamic le/3.

% lookup(Ws) :-
%         retractall(le(_,_,_,_)),
%         lookup(Ws,0),
%         clean.

% lookup([W|Ws],Pos) :-
%   Pos2 is Pos + 1,
%   ( lex(W,FS),
%       format(user_error,'asserting ~d ~w ~d~n',[Pos,W,Pos2]),
%       assert(le(W,FS,Pos,Pos2)),
%       fail
%   ; true
%   ),
%   lookup(Ws,Pos2).

% lookup([],_).
  

:- dynamic clean_debug/0.

clean :-
        %trace,
        secret_noadderrs,
        clean_sp,
        clean_pron_np,
        secret_adderrs.

% test with "hrt auf ein denkt"
clean_sp :-

        % If there is no verb that selects for particle `Particle', remove it.
        le(Particle,FSPart,Pos,_),
                 
        path_fs2pathval([synsem,loc,cat,head],FSPart,TFSPart),
        fs2type_feats(TFSPart,Type,_),
        sub_type(part,Type),
        path_fs2pathval([synsem,loc,cat,head,form],FSPart,PForm),
%        format(user_error,'found "~w" (~w)~n',[Particle,Pos]),

        \+ ( le(Verb,FSVerb,Pos2,_),
             ( path_fs2pathval([synsem,loc,cat,subcat,hd,loc,cat,head,dsl,cat,subcat,hd,loc,cat,head,form],FSVerb,PForm)
             ; path_fs2pathval([synsem,loc,cat,subcat,hd,loc,cat,head,form],FSVerb,PForm)
             )
%             ,format(user_error,'found "~w" (~w) for "~w" (~w)~n',[Verb,Pos2,Particle,Pos])
           ),
        ( clean_debug ->
            format(user_error,'retracting particle "~w" (~w)~n',[Particle,Pos])
        ; otherwise -> true
        ),
        retract(le(Particle,FSPart,Pos,_)),

        fail
        ;
        % If there is no particle that could be compined with a particle verb, remove the particle verb.
        le(Verb,FSVerb,Pos2,_),
        path_fs2pathval([synsem,loc,cat,subcat,hd,loc,cat,head,dsl,cat,subcat,hd,loc,cat,head,form],FSVerb,PForm),
 %       format(user_error,'found "~w" (~w)~n',[Verb,Pos2]),

        \+ ( le(Particle,FSPart,Pos,_),
                 
               path_fs2pathval([synsem,loc,cat,head],FSPart,TFSPart),
               fs2type_feats(TFSPart,Type,_),
               sub_type(part,Type),
               path_fs2pathval([synsem,loc,cat,head,form],FSPart,PForm)
%               ,format(user_error,'found "~w" (~w)~n',[Particle,Pos])
           ),
        ( clean_debug ->
            format(user_error,'retracting verb "~w" which needs particle ~w (~w)~n',[Verb,PForm,Pos2])
        ; otherwise -> true
        ),
        retract(le(Verb,FSVerb,Pos2,_)),
        fail
        ;
        true.


% If a word like `der' is followed by a noun that needs an article, `der' cannot be a demonstrative
% or a relative in a successful parse.
clean_pron_np :-
        le(Noun2,FSNoun2,Pos2,Pos3),

        isa_noun(FSNoun2),
        

        path_fs2pathval([synsem,loc,cat,spr,hd],FSNoun2,TFSNounSpr),
        path_fs2pathval([loc,cat,head],TFSNounSpr,TFSHeadSpr),
        fs2type_feats(TFSHeadSpr,det,_),
        path_fs2pathval([loc,drop_det],TFSNounSpr,TFSDropDet),
        fs2type_feats(TFSDropDet,minus,_),

        
        ( clean_debug ->
            format(user_error,'found "~w" (~w,~w)~n',[Noun2,Pos2,Pos3])
        ; otherwise -> true
        ),

        % If neither of the following entries exists in addition to the noun that requires a det,
        % delete the nouns preceeding Noun2.

        
%              \+ le(n,(V1,_,_),ComplNoun),          % da der Mann Maria hilft.  gibt einen Eintrag fr 'der Maria'
%                                                    % sonst wrde 'Mann' gelscht

%              \+ le(n,(V1,_,_),ComplPlNoun),        % Gibt es Brtchen?


        % lookup([der,manager]),clean.
        \+ ( le(_,FSComplPlNoun2,Pos2,Pos3),
             isa_noun(FSComplPlNoun2),
             path_fs2pathval([synsem,loc,cont,ind,num],FSComplPlNoun2,TFSNum),
             fs2type_feats(TFSNum,pl,_)
%             ,format(user_error,'found bare plural~n',[])
           ),


        % Anfang der Woche
        \+ ( le(_ComplNoun,FSComplNoun2,Pos2,Pos3),
             isa_noun(FSComplNoun2),
             path_fs2pathval([synsem,loc,cat,spr],FSComplNoun2,TFSSpr),
             fs2type_feats(TFSSpr,e_list,_)
%           ,format(user_error,'found complete noun ~w~n',[ComplNoun])
           ),

               
%              \+ le(n,(V1,_,_),ComplDropDetNoun),   % Frau Berg  (Berg = mountain -> drop-det - -> Frau geloescht)

%                                                    % sollen wir uns am Montag treffen.
%              \+ le(A_or_V,(V1,_,_),_),             % sonst sorgt 'treffen' dafuer, dass 'Montag' geloescht wird.

%                                                    % eine Erfahrung wert / Wert  


%              \+ le(adv,(V1,_,_),_),                % Wuerde es Ihnen morgen passen?

%              \+ le(coord,(V1,_,_),_),               % die Oder
             

        ( le(_,FSNoun1,Pos1,Pos2),
                 
            isa_noun(FSNoun1),
            retract(le(Noun1,FSNoun1,Pos1,Pos2)),
            ( clean_debug ->
                format(user_error,'retracting noun "~w" (~w,~w) since "~w" needs a determiner.~n',[Noun1,Pos1,Pos2,Noun2])
            ; otherwise -> true
            ),
            fail
        ; true
        ),
        
        fail

        ;

        true.

isa_noun(FS) :-           
        path_fs2pathval([synsem,loc,cat,head],FS,TFS),
        fs2type_feats(TFS,Type,_),
        sub_type(noun,Type).


/*
clean_lex_item(Tag-infl_word(Phon,Synsem,_Dtr),Tag-infl_word(Phon,Synsem,_-sign(Phon,_SynsemX))) :- !.

clean_lex_item(FS,FS).
*/

/*
head_extra_phrase

C_CONT       mrs(handle diff_list event relation diff_list handle )
DTRS         ne_list(head_filler_phrase ne_list )
HEAD_DTR     head_filler_phrase(mrs ne_list head_argument_phrase head_specifier_phrase ne_list synsem )
NON-HEAD-DTR rc_phrase(mrs ne_list ne_list synsem )
PHON         ne_list(a_ ne_list )
SYNSEM       synsem(ne_list bool bool bool e_list minus local plus nonlocal plus minus plus )

*/

/*
edge_assert_minimal(N,Left,Right,Tag,SVs,Dtrs,RuleName) :-
        SVs =.. [PhraseType,_MRS,_-Dtrs1,_HEAD_DTR,_NON_HEAD_DTR,Phon,Synsem],!,

        print_fs_overview(Dtrs1),

        Dtrs2 = _-e_list,

        HEAD_DTR2 = _-sign(_-e_list,_),
        NON_HEAD_DTR2 = _-sign(_-e_list,_),
        CleanSVs =.. [PhraseType,_MRS2,Dtrs2,HEAD_DTR2,NON_HEAD_DTR2,Phon,Synsem],

        format(user_error,'cutting ~w~n',[Phon]),
        asserta(edge(N,Left,Right,Tag,CleanSVs,Dtrs,RuleName)).


edge_assert_minimal(N,Left,Right,Tag,SVs,Dtrs,RuleName) :-
        asserta(edge(N,Left,Right,Tag,SVs,Dtrs,RuleName)).


 */      