%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: suffixes.pl,v $
%%  $Revision: 2.15 $
%%      $Date: 2004/05/04 16:31:25 $
%%     Author: Stefan Mueller (Stefan.Mueller@uni-bremen.de)
%%    Purpose: noun endings taken over from Babel (Version 04.04.95)
%%             original classification due to Dorothee Reimann
%%   Language: Trale
%      System: TRALE 2.3.7 (release ) under Sicstus 3.9.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% $Log: suffixes.pl,v $
%% Revision 2.15  2004/05/04 16:31:25  stefan
%% added my-draw-hierarchy to the repository
%%
%% Revision 2.14  2004/03/26 10:34:31  stefan
%% enabled chart manipulation
%%
%% Revision 2.13  2004/03/25 20:08:02  stefan
%% fixed particples
%%
%% Revision 2.12  2004/03/25 19:46:35  stefan
%% disabled chart manipulation for testing
%%
%% Revision 2.11  2004/03/25 17:13:13  stefan
%% added participle rule, reorganization of types under head, chart manipulation code
%%
%% Revision 2.10  2004/03/23 13:59:34  stefan
%% excluded spurious ambiguities in coordination structures, fixed extraposition
%%
%% Revision 2.9  2004/03/22 21:18:27  stefan
%% clause boundedness of extraposition, introduction of new types
%%
%% Revision 2.8  2004/03/12 12:17:04  stefan
%% fixed particle verbs
%%
%% Revision 2.7  2004/03/11 22:51:20  stefan
%% total redesign of types under phrase, fixed depictives and bare infinitives
%%
%% Revision 2.6  2004/03/11 12:49:55  stefan
%% various speed improvements changed dalaying of extra constraint significant improvement
%%
%% Revision 2.5  2004/03/10 23:18:02  stefan
%% fixed delay
%%
%% Revision 2.4  2004/03/10 23:01:56  stefan
%% fixed conditional append for depictives, fixed DA for participles 'nackt schlafende'
%%
%% Revision 2.3  2004/03/10 15:02:22  stefan
%% fixed que in free relative clauses
%%
%% Revision 2.2  2004/03/05 21:29:40  stefan
%% fixed participle lexrule
%%
%% Revision 2.1  2004/03/04 12:22:41  stefan
%% difference lists for liszt and h_cons
%%
%% Revision 2.0  2004/02/29 16:17:34  stefan
%% first public release
%%
%% Revision 1.49  2004/02/23 18:28:38  stefan
%% fixed anchor introduction for irregular verbs, fixed extraposition from verbal clusters
%%
%% Revision 1.48  2004/02/23 16:07:17  stefan
%% fixed complement extraposition, posessive of proper nouns, fixed spurious ambiguity problem with Berthold's analysis, fixed quantifier-np issue
%%
%% Revision 1.47  2004/02/22 21:17:08  stefan
%% complete revision of adjunct extraposition
%%
%% Revision 1.46  2004/02/22 17:36:24  stefan
%% fixed extraposition of negation, and introduction of extraposition traces
%%
%% Revision 1.45  2004/02/21 15:47:38  stefan
%% various extensions and fixes
%%
%% Revision 1.44  2004/02/20 17:12:51  stefan
%% fixed determiner inflection
%%
%% Revision 1.43  2004/02/20 13:56:03  stefan
%% fixed determiner inflection
%%
%% Revision 1.42  2004/02/20 10:50:16  stefan
%% fixed determiner inflection
%%
%% Revision 1.41  2004/02/20 10:37:49  stefan
%% fixed determiner inflection
%%
%% Revision 1.40  2004/02/19 16:32:26  stefan
%% avoided spurious ambiguity with PVP and extraposition
%%
%% Revision 1.39  2004/02/18 20:13:08  stefan
%% fixed inflection, QUE percolation, coherent constructions with object control verbs
%%
%% Revision 1.38  2004/02/18 17:43:16  stefan
%% fixed 'zu' for infinitives
%%
%% Revision 1.37  2004/02/18 16:11:59  stefan
%% implemented pronominal adverbs + sentential arguments and Berthold Crysmann's treatement of ambiguity prevention in extraposition structures
%%
%% Revision 1.36  2004/02/16 23:04:36  stefan
%% computed s_subcat for verbal complexes
%%
%% Revision 1.35  2004/02/16 11:12:20  stefan
%% introduced max_ feature to avoid the unblocking of the delayed constraint del
%%
%% Revision 1.34  2004/02/15 11:38:59  stefan
%% fixed bug with extraposition in incoherent constructions
%%
%% Revision 1.33  2004/02/14 17:40:41  stefan
%% added imperative inflection, simplified type hierarchies, modification reading for day_nouns
%%
%% Revision 1.32  2004/02/13 15:26:27  stefan
%% added aktionsarten, excluded some impossible passives
%%
%% Revision 1.31  2004/02/12 19:53:45  stefan
%% fixed block_subject, fixed DA for participles and lexical rules, intersective_modifiers
%%
%% Revision 1.30  2004/02/11 12:40:27  stefan
%% fixed inflection bug, fixed bug in block-subject
%%
%% Revision 1.29  2004/02/06 22:49:56  stefan
%% fixed inflection bug, total reorganization of signature under head, time-mod-nouns
%%
%% Revision 1.28  2004/02/06 12:44:53  stefan
%% changed subject verb agreement, fixed modal inflection, w-clauses should work
%%
%% Revision 1.27  2004/02/05 11:41:59  stefan
%% fixed QUE percolation
%%
%% Revision 1.26  2004/02/04 20:49:22  stefan
%% short type fix
%%
%% Revision 1.25  2004/02/04 20:44:24  stefan
%% one more fix for the genitive rule
%%
%% Revision 1.24  2004/02/03 19:04:30  stefan
%% added lexical entries, relativization with adverbs, fixed genitive rule
%%
%% Revision 1.23  2004/02/02 11:13:12  stefan
%% removed restrictions since they were blocked in most cases by delay mechanism, introduced special list for counting (s_subcat)
%%
%% Revision 1.22  2004/01/30 20:43:14  stefan
%% restricted the number of arguments in clauses with V1 and predicate complex
%%
%% Revision 1.21  2004/01/29 16:16:14  stefan
%% fixed extraposition with v-last sentences, lexical items
%%
%% Revision 1.20  2004/01/28 18:33:52  stefan
%% fixed adjunct attachment in verbal complexes + PVP
%%
%% Revision 1.19  2004/01/27 20:21:48  stefan
%% cleaned type hierarchy, made adverb attachment less ambiguos
%%
%% Revision 1.18  2004/01/27 19:21:57  stefan
%% depictives
%%
%% Revision 1.17  2004/01/25 20:25:02  stefan
%% reorganized introduction of nonlocal dependencies
%%
%% Revision 1.16  2004/01/24 15:38:16  stefan
%% fixed spurious ambiguities
%%
%% Revision 1.15  2004/01/24 14:33:30  stefan
%% (complement) extraposition
%%
%% Revision 1.14  2004/01/23 20:26:53  stefan
%% fixed n-bar
%%
%% Revision 1.13  2004/01/23 16:31:52  stefan
%% various changes see log
%%
%% Revision 1.12  2004/01/22 23:51:51  stefan
%% treatment for spurious ambiguities with intersective noun modifers
%%
%% Revision 1.11  2004/01/20 21:10:15  stefan
%% empty-noun rule
%%
%% Revision 1.10  2004/01/20 18:32:19  stefan
%% now we use the cyclic trace ...
%%
%% Revision 1.9  2004/01/19 12:17:46  stefan
%% fixed mult vf rule after introduction of cyclic trace
%%
%% Revision 1.8  2003/11/12 14:31:33  stefan
%% fixed detmar's constraint on verb movement traces which did not apply to copula verbs
%%
%% Revision 1.7  2003/11/11 13:59:59  stefan
%% Detmars cyclic verbal trace
%%
%% Revision 1.6  2003/11/04 16:41:03  stefan
%% fixed complemention with saturated verbal complexes, fixed past_conj inflection
%%
%% Revision 1.5  2003/11/03 21:37:55  stefan
%% fixed coordination and spurious ambiguities
%%
%% Revision 1.4  2003/11/03 15:10:18  stefan
%% fixed structural case of adjective subjects, fixed trace information for inflected elements
%%
%% Revision 1.3  2003/11/03 13:42:19  stefan
%% fix in lexical rule for participles, fix verbs with lexical cas object (helfen)
%%
%% Revision 1.2  2003/11/03 11:59:16  stefan
%% fix in lexical rule that introduced spurious ambiguities, fix in coherent constr. with zu-inf
%%
%% Revision 1.1  2003/11/02 20:15:59  stefan
%% got rid ov XCOMP
%%
%% Revision 1.0  2003/11/01 17:35:40  stefan
%% switched after confusion, fixed trace stuff
%%
%% Revision 1.8.2.1  2003/11/01 17:24:33  stefan
%% fixed attachment sites
%%
%% Revision 1.8  2003/10/23 09:01:13  stefan
%% Back to append again
%%
%% Revision 1.6  2003/10/21 19:37:56  stefan
%% Version after Introduction of Traces
%%
%%
%% Revision 1.2  2003/04/08 08:57:20  stefan
%% Initial revision
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:- multifile '*>'/2. 


attr_adj_i_suffix *>
  ((phon:[(a_ [e])],
      num:sg,
      gen:mas,
      morph_case:nom,
      dtype:strong)
  ;
      (phon:[(a_ [e])],
          num:sg,
          gen:fem,
          morph_case:nom_or_acc)
  ;
      (phon:[(a_ [e])],
          num:sg,
          gen:neu,
          morph_case:nom_or_acc,
          dtype:strong)
  ;
      (phon:[(a_ [e])],
          num:pl,
          morph_case:nom_or_acc,
          dtype:weak)
  ;
      (phon:[(a_ [e,m])],
          num:sg,
          gen:mas_or_neu,
          morph_case:dat,
          dtype:weak)
  ;
      (phon:[(a_ [e,n])],
          num:sg,
          morph_case:gen_or_dat,
          dtype:strong)
  ;
      (phon:[(a_ [e,n])],
          num:sg,
          gen:mas_or_neu,
          morph_case:gen,
          dtype:weak)
  ;
      (phon:[(a_ [e,n])],
          num:sg,
          gen:mas,
          morph_case:acc)

  ;
      (phon:[(a_ [e,n])],
          num:pl,
          dtype:strong)
  
  ;  
      (phon:[(a_ [e,n])],
          num:pl,
          morph_case:dat,
          dtype:weak)
  ;
      (phon:[(a_ [e,r])],
          num:sg,
          gen:mas,
          morph_case:nom,
          dtype:weak)

  ;                             % wegen frischer Milch
      (phon:[(a_ [e,r])],
          num:sg,
          gen:fem,
          morph_case:gen_or_dat,
          dtype:weak)

  ;  
      (phon:[(a_ [e,r])],
          num:pl,
          morph_case:gen,
          dtype:weak)
  
  ;
      (phon:[(a_ [e,s])],
          num:sg,
          gen:neu,
          morph_case:nom_or_acc,
          dtype:weak)
      ).

%-------------------------------------------------------
% nfk_p

% -> wegen Karl = Dativ
% ansonsten 'die Frau Karl'
% =         'die Frau des Studenten'
noun_i_suffix *>
  ((phon:[(a_ [])],
      fk:nfk_p,
      num:sg,
      morph_case:nom_or_dat_or_acc);

%-------------------------------------------------------
% nfk_e1
% Maskulinum oder Neutrum mit e-Endung im Plural
 

  (phon:[(a_ [])],
      fk:nfk_e1,
      dat_e:(minus;both),
      num:sg,
      morph_case:nom_or_dat_or_acc);

  (phon:[(a_ [])],
      fk:nfk_e1,
      dat_e:plus,
      num:sg,
      morph_case:nom_or_acc);

  (phon:[(a_ [e])],
      fk:nfk_e1,
      dat_e:(plus;both),
      num:sg,
      morph_case:dat);
      
      % pl for nfk_e1, e2, e3
  (phon:[(a_ [e])],
      fk:nfk_e,
      num:pl,
      morph_case:nom_or_gen_or_acc);

  (phon:[(a_ [e,n])],
      fk:nfk_e,
      num:pl,
      morph_case:dat);
      
   (phon:[(a_ [e,s])],
       fk:nfk_e1,
       gen_e:plus,
       num:sg,
       morph_case:gen);

   (phon:[(a_ [s])],
       fk:nfk_e1,
       gen_e:minus,
       num:sg,
       morph_case:gen);


%-------------------------------------------------------
% nfk_e2
% Maskulinum oder Neutrum mit e-Endung im Plural


   (phon:[(a_ [])],
       fk:nfk_e2,
       num:sg);

      
%-------------------------------------------------------
% nfk_e3
% Femininum e-Endung im Plural

      (phon:[(a_ [])],
          fk:nfk_e3,
          num:sg);

%-------------------------------------------------------
% nfk_es
% Maskulinum oder Neutrum mit es-Endung im Plural


      (phon:[(a_ [])],
          fk:nfk_es,
          dat_e:(minus;both),
          num:sg,
          morph_case:nom_or_dat_or_acc);
       
      (phon:[(a_ [])],
          fk:nfk_es,
          dat_e:plus,
          num:sg,
          morph_case:nom_or_acc);

      (phon:[(a_ [s,e])],
          fk:nfk_es,
          dat_e:(plus;both),
          num:sg,
          morph_case:dat);

      (phon:[(a_ [s,e,s])],
          fk:nfk_es,
          gen_e:plus,
          num:sg,
          morph_case:gen);

      (phon:[(a_ [s,e])],
          fk:nfk_es,
          num:pl,
          morph_case:nom_or_gen_or_acc);


      (phon:[(a_ [s,e,n])],
          fk:nfk_es,
          num:pl,
          morph_case:dat);

      
%-------------------------------------------------------
% nfk_er
% Maskulinum oder Neutrum
% starke Deklination, er-Endung im Plural

   (phon:[(a_ [])],
       fk:nfk_er,
       dat_e:(minus;both),
       num:sg,
       morph_case:nom_or_dat_or_acc);

      (phon:[(a_ [])],
       fk:nfk_er,
       dat_e:plus,
       num:sg,
       morph_case:nom_or_acc);
      
   (phon:[(a_ [e])],
       fk:nfk_er,
       dat_e:(plus;both),
       num:sg,
       morph_case:dat);
      
   (phon:[(a_ [e,s])],
       fk:nfk_er,
       gen_e:plus,
       num:sg,
       morph_case:gen);
      
   (phon:[(a_ [e,r])],
       fk:nfk_er,
       num:pl,
       morph_case:nom_or_gen_or_acc);

   (phon:[(a_ [e,r,n])],
       fk:nfk_er,
       num:pl,
       morph_case:dat);

      
%-------------------------------------------------------
% nfk_n1
% Maskulinum oder Neutrum
% starke Deklination, n-Endung im Plural

      
   (phon:[(a_ [])],
       fk:nfk_n1,
       dat_e:(minus;both),
       num:sg,
       morph_case:nom_or_dat_or_acc);

      (phon:[(a_ [])],
       fk:nfk_n1,
       dat_e:plus,
       num:sg,
       morph_case:nom_or_acc);
      
      (phon:[(a_ [e])],
       fk:nfk_n1,
       dat_e:(plus;both),
       num:sg,
       morph_case:dat);
      
      (phon:[(a_ [n])],
          fk:nfk_n1,
          e_vor_n:minus,
          num:pl);

      (phon:[(a_ [e,n])],
          fk:nfk_n1,
          e_vor_n:plus,
          num:pl);

      (phon:[(a_ [s])],
       fk:nfk_er,
       num:sg,
       morph_case:gen);
      
      
%-------------------------------------------------------
% nfk_n2
% Maskulinum 
% schwache Deklination, n-Endung im Plural

      (phon:[(a_ [])],
       fk:nfk_n2,
       num:sg,
          morph_case:nom);

      (phon:[(a_ [n])],
       fk:nfk_n2,
       e_vor_n:minus,
       num:sg,
       morph_case:gen_or_dat_or_acc);

      (phon:[(a_ [n])],
          fk:nfk_n2,
          e_vor_n:minus,
          num:pl);

      (phon:[(a_ [e,n])],
          fk:nfk_n2,
          e_vor_n:plus,
          num:pl);
      
      (phon:[(a_ [e,n])],
          fk:nfk_n2,
          e_vor_n:plus,
          num:sg,
          morph_case:gen_or_dat_or_acc);


%-------------------------------------------------------
% nfk_n3
% Maskulinum
% ...

      (phon:[(a_ [n])],
          fk:nfk_n3,
          num:pl);

      
%-------------------------------------------------------
% nfk_n4
% Neutrum
% Mischdeklination, n-Endung im Plural

         (phon:[(a_ [e,n])],
          fk:nfk_n4,
          num:pl);
      
%-------------------------------------------------------
% nfk_n5
% Feminum, n-Endung im Plural

   (phon:[(a_ [])],
       fk:nfk_n5,
       num:sg);
      
      (phon:[(a_ [n])],
          fk:nfk_n5,
          e_vor_n:minus,
          num:pl);

      (phon:[(a_ [e,n])],
          fk:nfk_n5,
          e_vor_n:plus,
          num:pl);
      
%---------------------------------------------------
% nfk_s1
% Maskulinum oder Neutrum
% starke Deklination s-Endung im Plural


  (phon:[(a_ [])],
      fk:nfk_s1,
      num:sg,
      morph_case:nom_or_dat_or_acc);

   (phon:[(a_ [s])],
       fk:nfk_s1,
       num:sg,
       morph_case:gen);

(phon:[(a_ [s])],
       fk:nfk_s,
       num:pl);

      
%---------------------------------------------------
% nfk_s2
% Femininum, s-Endung im Plural


      
%---------------------------------------------------
% nfk_1
% Maskulinum oder Neutrum
% starke Deklination ohne Endung im Plural

      (phon:[(a_ [])],
          fk:nfk_1,
          num:sg,
          morph_case:nom_or_dat_or_acc);

      (phon:[(a_ [])],
          fk:nfk_1,
          num:pl);
      
      (phon:[(a_ [s])],
          fk:nfk_1,
          gen_e:minus,
          num:sg,
          morph_case:gen);

      (phon:[(a_ [e,s])],
          fk:nfk_1,
          gen_e:plus,
          num:sg,
          morph_case:gen);


%---------------------------------------------------
% nfk_2
% Maskulinum oder Neutrum
% starke Deklination  n-Endung im Dativ-Plural

      (phon:[(a_ [])],
      fk:nfk_2,
      num:sg,
      morph_case:nom_or_dat_or_acc);
  
      (phon:[(a_ [s])],
       fk:nfk_2,
       num:sg,
       morph_case:gen);

      (phon:[(a_ [])],
          fk:nfk_2,
          num:pl,
          morph_case:nom_or_gen_or_acc);

      
      (phon:[(a_ [n])],
          fk:nfk_2,
          num:pl,
          morph_case:dat);

%---------------------------------------------------
% nfk_3
% Maskulinum oder Neutrum
% ohne Endung


      (phon:[(a_ [])],
          fk:nfk_3);

%---------------------------------------------------
% nfk_4
% Femininum
% n-Endung im Dativ-Plural
       (phon:[(a_ [])],
          fk:nfk_4,
          num:pl,
          morph_case:nom_or_gen_or_acc);

%-------------------------------------------------------
% nfk_i1
% Maskulinum oder Neutrum
% starke Deklination, ien-Endung im Plural
%
% Prinzipien, Materialien

      (phon:[(a_ [i,e,n])],
          fk:nfk_i1,
          num:pl);



%%% Bauten
      (phon:[(a_ [t,e,n])],
          fk:nfk_ten,
          num:pl)

  ).






%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%  verbs


fin_verb_i_suffix *>
(

 (phon:[(a_ [])],
  fk:v_strong,
  temo:past_ind,
  per:first_or_third,
  num:sg);

 (phon:[(a_ [])],
  fk:modal,
  ep:minus,
  temo:pres_ind,
  per:first_or_third,
  num:sg);
 
 (phon:[(a_ [])],
  fk:v_strong,
  tm:plus,
  temo:pres_ind,
  per:third,
  num:sg);
 
 (phon:[(a_ [])],
  fk:v_strong,
  temo:pres_imp,
  per:second,
  num:sg);

 /*
 other grouping avoids ambiguity in readings
 (phon:[(a_ [e])],
  fk:v_strong,
  temo:pres_ind,
  per:first,
  num:sg);

 (phon:[(a_ [e])],
  fk:v_strong,
  temo:conj,             % pres_or_past + conjunctive
  per:first_or_third,
  num:sg);
*/

 (phon:[(a_ [e])],
  fk:v_strong,
  temo:pres_ind_conj,
  per:first,
  num:sg);

 (phon:[(a_ [e])],
  fk:v_strong,
  temo:pres_conj,
  per:third,
  num:sg);

 (phon:[(a_ [e])],
  fk:v_strong,
  temo:past_conj,             % pres_or_past + conjunctive
  per:first_or_third,
  num:sg);

 
 % mchte
 (phon:[(a_ [e])],
  fk:modal,
  ep:plus,
  temo:pres_ind,
  per:first_or_third,
  num:sg);

 (phon:[(a_ [e])],
  fk:v_weak,
  temo:pres_ind_imp,
  per:first,
  num:sg);

 (phon:[(a_ [e])],
  fk:mixed,
  temo:pres_ind_conj,
  per:first,
  num:sg);

 (phon:[(a_ [e])],
  fk:mixed,
  temo:conj,
  per:third,
  num:sg);

 (phon:[(a_ [e,n])],
  fk:v_strong,
  temo:pres_ind_conj,
  per:first_or_third,
  num:pl);
 
 (phon:[(a_ [e,n])],
  fk:mixed_or_modal,
  temo:pres_ind_conj,
  per:first_or_third,
  num:pl);

 (phon:[(a_ [e,n])],
  fk:v_weak,
  temo:pres_ind_conj,
  pl_n:minus,
  per:first_or_third,
  num:pl);

 (phon:[(a_ [n])],
  fk:v_weak,
  temo:pres_ind_conj,
  pl_n:plus,
  per:first_or_third,
  num:pl);

 (phon:[(a_ [e,t])],
  fk:v_strong,
     temo:pres_ind,
     ep:plus,
     tm:minus,
     per:third,
     num:sg);

 (phon:[(a_ [e,t])],
  fk:mixed,
     temo:pres_ind,
     ep:plus,
     per:third,
     num:sg);
 
 (phon:[(a_ [e,t])],
  fk:v_weak,
     temo:pres_ind,
     ep:plus,
     per:third,
     num:sg);

 (phon:[(a_ [e,t,e])],
  fk:v_weak,
     temo:past_ind_conj,
     ep:plus,
     per:first_or_third,
     num:sg);

  (phon:[(a_ [e,t,e,s,t])],
  fk:v_weak,
     temo:past_ind_conj,
     ep:plus,
     per:second,
     num:sg);
 
 (phon:[(a_ [e,s,t])],
  fk:v_strong,
     temo:pres_ind,
     ep:plus,
     tm:minus,
     per:second,
     num:sg);

 (phon:[(a_ [e,s,t])],
  fk:v_strong,
     temo:past_ind,
     evp:plus,
     per:second,
     num:sg);

 (phon:[(a_ [e,s,t])],
  fk:v_strong,
     temo:past_ind,
     spe:plus,
     per:second,
     num:sg);

 (phon:[(a_ [e,s,t])],
  fk:mixed,
     temo:pres_ind,
     ep:plus,
     sm:minus,
     per:second,
     num:sg);
 
 (phon:[(a_ [e,s,t])],
  fk:v_weak,
     temo:pres_ind,
     ep:plus,
     per:second,
     num:sg);

 (phon:[(a_ [e,s,t])],
  fk:modal,
     temo:pres_ind,
     ep:plus,
     sm:minus,
     per:second,
     num:sg);

 (phon:[(a_ [s,t])],
  fk:v_strong,
     temo:pres_ind,   %temo:pres_ind_conj,
     ep:minus,
     sm:minus,
     per:second,
     num:sg);

  (phon:[(a_ [s,t])],
   fk:v_strong,
     temo:pres_ind,
     ep:plus,
     sm:minus,
     tm:plus,
     per:second,
     num:sg);

% neu fr 'ldst'
 (phon:[(a_ [s,t])],
  fk:v_strong,
     temo:pres_ind,
     ep:plus,
     tm:t,
     per:second,
     num:sg);

 (phon:[(a_ [s,t])],
  fk:v_strong,
     temo:past_ind_conj,
     evp:minus,
     sm:minus,
     per:second,
     num:sg);
 
  (phon:[(a_ [s,t])],
  fk:mixed,
     temo:pres_ind,
     ep:minus,
     sm:minus,
     per:second,
     num:sg);

 (phon:[(a_ [s,t])],
  fk:modal,
     temo:pres_ind,
     ep:minus,
     sm:minus,
     per:second,
     num:sg);
 
  (phon:[(a_ [s,t])],
  fk:v_weak,
     temo:pres_ind_conj,
     ep:minus,
     sm:minus,
     per:second,
     num:sg);
 
 (phon:[(a_ [t])],
  fk:v_strong,
     temo:pres_ind_conj,
     ep:minus,
     sm:plus,
     per:second,
     num:sg);
 
 (phon:[(a_ [t])],
  fk:v_strong,
     temo:pres_ind,
     ep:minus,
     tm:minus,
     per:third,
     num:sg);

 
 (phon:[(a_ [t])],
  fk:mixed,
     temo:pres_ind,
     ep:minus,
     per:third,
     num:sg);

 % fr ldt
 (phon:[(a_ [t])],
  fk:v_strong,
     temo:pres_ind,
     ep:plus,
     tm:t,
     per:third,
     num:sg);

 
 /*
 %wird
 (phon:[(a_ [d])],
  fk:v_strong,
     temo:pres_ind,
     ep:minus,
     tm:werden,
     per:third,
     num:sg);
*/
 
 
 (phon:[(a_ [t])],
  fk:v_weak,
     temo:pres_ind_conj,
     ep:minus,
     sm:plus,
     per:second,
     num:sg);

 (phon:[(a_ [t])],
  fk:v_weak,
     temo:pres_ind,
     ep:minus,
     per:third,
     num:sg);

 (phon:[(a_ [t])],
  fk:modal,
     temo:pres_ind,
     sm:plus,
     per:second,
     num:sg);

  (phon:[(a_ [t,e])],
  fk:v_weak,
     temo:past_ind,
     ep:minus,
     per:first_or_third,
     num:sg);

 
  (phon:[(a_ [t,e])],
  fk:mixed,
     temo:past_ind_conj,
     ep:minus,
     per:first_or_third,
     num:sg);

   (phon:[(a_ [t,e])],
     fk:modal,
     temo:past_ind_conj,
     ep:minus,
     per:first_or_third,
     num:sg);

   (phon:[(a_ [t,e,s,t])],
     fk:non_strong,
     temo:past_ind_conj,
     ep:minus,
     per:second,
     num:sg)

).


ppp_verb_i_suffix *>
  (
    (phon:[(a_ [e,n])],
     fk:v_strong,
     epp:plus);

    % only for `getan'
    (phon:[(a_ [n])],
     fk:v_strong,
     epp:minus);

    (phon:[(a_ [t])],
     fk:non_strong,
     ep:minus);

    % there may be a bug here regarding mixed ? are they always ep:minus?
    (phon:[(a_ [e,t])],
     fk:non_strong,
     ep:plus)

  ).



det_i_suffix *>
  (
    
    (phon:[(a_ [])],
     fk:weak,
        dtype:weak,
        num:sg,
        gen:mas,
        morph_case:nom)
  ;

    (phon:[(a_ [])],
     fk:weak,
     dtype:weak,
        num:sg,
        gen:neu,
        morph_case:nom_or_acc)
  ;
    
    (phon:[(a_ [e])],
        dtype:strong,
        num:sg,
        gen:fem,
        morph_case:nom_or_acc)
  ;
    
    (phon:[(a_ [e])],
        dtype:strong,
        num:pl,
        morph_case:nom_or_acc)
  ;
    
    (phon:[(a_ [e,n])],
        dtype:strong,
        num:sg,
        gen:mas,
        morph_case:acc)
  ;

    (phon:[(a_ [e,n])],
        dtype:strong,
        num:pl,
        morph_case:dat)
  ;

    (phon:[(a_ [e,m])],
        dtype:strong,
        num:sg,
        gen:mas_or_neu,
        morph_case:dat)
  ;
    
    (phon:[(a_ [e,r])],
        dtype:strong,
        num:sg,
        gen:fem,
        morph_case:gen_or_dat)

  ;
    
    (phon:[(a_ [e,r])],
        fk:strong,
        dtype:strong,
        num:sg,
        gen:mas,
        morph_case:nom)

    ;
    
    (phon:[(a_ [e,r])],
        dtype:strong,
        num:pl,
        morph_case:gen)

  ;

    % dieses Projekt
    (phon:[(a_ [e,s])],
        fk:strong,
        dtype:strong,
        num:sg,
        gen:neu,
        morph_case:nom_or_acc)
  ;

    (phon:[(a_ [e,s])],
        dtype:strong,
        num:sg,
        gen:mas_or_neu,
        morph_case:gen)
  ).
    







