
eliminate_hidden_types([],[]).
eliminate_hidden_types([H|T],Res) :-
     (   H=(Type-Subtypes)
     ->  ( (Type = multi(Type1) ->
                                % If we eliminate this type, we cannot ignore the subtypes
               (hide_in_type_hierarchy(Type1) ->
                   type_hierarchy_compiler:get_all_subtypes(Type1,Subtypes1,[],_)
               ; Subtypes1 = Subtypes
               )
           ; Type1 = Type,
               Subtypes1 = Subtypes
           ),
             eliminate_hidden_types(Subtypes1,SubtypesNoGLB),
             
             (hide_in_type_hierarchy(Type1) ->
                 HNoGLB = SubtypesNoGLB
             ;
                 HNoGLB = [Type1-SubtypesNoGLB]
             )
         )
     ; write(user_error,'* What happend to all the fun in the world?')
     ),
     eliminate_hidden_types(T,TNoGLB),
     union(HNoGLB,TNoGLB,Res1),
 %    write(Res1),nl,
     keep_only_most_general_types(Res1,Res1,Res),
 %    write('* '),
 %    write(Res),nl,nl,
     true.

% --- set union 
   
union([],X,X).
union([X|R],Y,Z) :- member(X,Y), !, union(R,Y,Z).
union([X|R],Y,[X|Z]) :- union(R,Y,Z).

keep_only_most_general_types([],_,[]).
% if there is a supertype of H in the list of all types, ignore H
keep_only_most_general_types([H-_|T],AllTypes,Res) :-
        member(X-_,AllTypes),
        X \== H,
        sub_type(X,H),!,
        keep_only_most_general_types(T,AllTypes,Res).

% if there is a duplicate of H in the list
% the member in AllTypes contains information about subtypes, i.e.
% is more specific.
keep_only_most_general_types([H-[]|T],AllTypes,Res) :-
        member(H-[_|_],AllTypes),!,
        keep_only_most_general_types(T,AllTypes,Res).

% there is one element in the reminder of the list
% that has empty or identical subtype list -> ignore it.
keep_only_most_general_types([H-Subtypes|T],AllTypes,Res) :-
        member(H-TSubtypes,T),
        ( Subtypes = []
        ; Subtypes = TSubtypes
        ),!,
        keep_only_most_general_types(T,AllTypes,Res).


% if there is a subtype of H in the list
keep_only_most_general_types([H|T],AllTypes,[H|Res]) :-
        keep_only_most_general_types(T,AllTypes,Res).


hide_in_type_hierarchy(Type) :-
        atom_codes(Type,[103,108,98|_]).  % prefix glb

noglb :-
   retractall(suppress_hidden_flag),
   assert(suppress_hidden_flag).

glb :- 
   retractall(suppress_hidden_flag).

:- noglb.


te :- eliminate_hidden_types([glb_mod_noun_or_noun_modifier-[glb_mod_noun_or_attr_adj-[attr_adj-[basic_attr_adj-[],participle-[]],mod_noun-[]],noun_modifier-[multi(attr_adj)-[],noun_mod_prep-[],rc-[]]],n_or_attr_a-[multi(glb_mod_noun_or_attr_adj)-[],noun-[comp_noun-[],multi(mod_noun)-[]]]],Res),write(Res),nl.