% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: theory.pl,v $
%%  $Revision: 2.15 $
%%      $Date: 2004/05/04 16:31:27 $
%%     Author: Stefan Mueller (Stefan.Mueller@uni-bremen.de)
%%    Purpose: Current Version of the Bale-Grammar
%%   Language: Trale
%      System: TRALE 2.3.7 (release ) under Sicstus 3.9.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% $Log: theory.pl,v $
%% Revision 2.15  2004/05/04 16:31:27  stefan
%% added my-draw-hierarchy to the repository
%%
%% Revision 2.14  2004/03/26 10:34:31  stefan
%% enabled chart manipulation
%%
%% Revision 2.13  2004/03/25 20:08:02  stefan
%% fixed particples
%%
%% Revision 2.12  2004/03/25 19:46:35  stefan
%% disabled chart manipulation for testing
%%
%% Revision 2.11  2004/03/25 17:13:13  stefan
%% added participle rule, reorganization of types under head, chart manipulation code
%%
%% Revision 2.10.2.1  2004/03/23 16:23:19  stefan
%% no change
%%
%% Revision 2.10  2004/03/23 13:59:34  stefan
%% excluded spurious ambiguities in coordination structures, fixed extraposition
%%
%% Revision 2.9  2004/03/22 21:18:27  stefan
%% clause boundedness of extraposition, introduction of new types
%%
%% Revision 2.8  2004/03/12 12:17:04  stefan
%% fixed particle verbs
%%
%% Revision 2.7  2004/03/11 22:51:20  stefan
%% total redesign of types under phrase, fixed depictives and bare infinitives
%%
%% Revision 2.6  2004/03/11 12:49:55  stefan
%% various speed improvements changed dalaying of extra constraint significant improvement
%%
%% Revision 2.5  2004/03/10 23:18:02  stefan
%% fixed delay
%%
%% Revision 2.4  2004/03/10 23:01:56  stefan
%% fixed conditional append for depictives, fixed DA for participles 'nackt schlafende'
%%
%% Revision 2.3  2004/03/10 15:02:22  stefan
%% fixed que in free relative clauses
%%
%% Revision 2.2  2004/03/05 21:29:40  stefan
%% fixed participle lexrule
%%
%% Revision 2.1  2004/03/04 12:22:42  stefan
%% difference lists for liszt and h_cons
%%
%% Revision 2.0  2004/02/29 16:17:34  stefan
%% first public release
%%
%% Revision 1.49  2004/02/23 18:28:39  stefan
%% fixed anchor introduction for irregular verbs, fixed extraposition from verbal clusters
%%
%% Revision 1.48  2004/02/23 16:07:20  stefan
%% fixed complement extraposition, posessive of proper nouns, fixed spurious ambiguity problem with Berthold's analysis, fixed quantifier-np issue
%%
%% Revision 1.47  2004/02/22 21:17:10  stefan
%% complete revision of adjunct extraposition
%%
%% Revision 1.46  2004/02/22 17:36:26  stefan
%% fixed extraposition of negation, and introduction of extraposition traces
%%
%% Revision 1.45  2004/02/21 15:47:39  stefan
%% various extensions and fixes
%%
%% Revision 1.44  2004/02/20 17:12:52  stefan
%% fixed determiner inflection
%%
%% Revision 1.43  2004/02/20 13:56:04  stefan
%% fixed determiner inflection
%%
%% Revision 1.42  2004/02/20 10:50:17  stefan
%% fixed determiner inflection
%%
%% Revision 1.41  2004/02/20 10:37:50  stefan
%% fixed determiner inflection
%%
%% Revision 1.40  2004/02/19 16:32:28  stefan
%% avoided spurious ambiguity with PVP and extraposition
%%
%% Revision 1.39  2004/02/18 20:13:09  stefan
%% fixed inflection, QUE percolation, coherent constructions with object control verbs
%%
%% Revision 1.38  2004/02/18 17:43:17  stefan
%% fixed 'zu' for infinitives
%%
%% Revision 1.37  2004/02/18 16:12:00  stefan
%% implemented pronominal adverbs + sentential arguments and Berthold Crysmann's treatement of ambiguity prevention in extraposition structures
%%
%% Revision 1.36  2004/02/16 23:04:36  stefan
%% computed s_subcat for verbal complexes
%%
%% Revision 1.35  2004/02/16 11:12:20  stefan
%% introduced max_ feature to avoid the unblocking of the delayed constraint del
%% restricted h_e to dsl:none for the head_dtr. This breaks extraposition
%% in multiply occupied Vorfelds but otherwise one cannot work with the grammar.
%%
%% Revision 1.34  2004/02/15 11:38:59  stefan
%% fixed bug with extraposition in incoherent constructions
%%
%% Revision 1.33  2004/02/14 17:40:41  stefan
%% added imperative inflection, simplified type hierarchies, modification reading for day_nouns
%%
%% Revision 1.32  2004/02/13 15:26:27  stefan
%% added aktionsarten, excluded some impossible passives
%%
%% Revision 1.31  2004/02/12 19:53:45  stefan
%% fixed block_subject, fixed DA for participles and lexical rules, intersective_modifiers
%%
%% Revision 1.30  2004/02/11 12:40:28  stefan
%% fixed inflection bug, fixed bug in block-subject
%%
%% Revision 1.29  2004/02/06 22:49:56  stefan
%% fixed inflection bug, total reorganization of signature under head, time-mod-nouns
%%
%% Revision 1.28  2004/02/06 12:44:53  stefan
%% changed subject verb agreement, fixed modal inflection, w-clauses should work
%%
%% Revision 1.27  2004/02/05 11:42:00  stefan
%% fixed QUE percolation
%%
%% Revision 1.26  2004/02/04 20:49:24  stefan
%% short type fix
%%
%% Revision 1.25  2004/02/04 20:44:25  stefan
%% one more fix for the genitive rule
%%
%% Revision 1.24  2004/02/03 19:04:31  stefan
%% added lexical entries, relativization with adverbs, fixed genitive rule
%%
%% Revision 1.23  2004/02/02 11:13:13  stefan
%% removed restrictions since they were blocked in most cases by delay mechanism, introduced special list for counting (s_subcat)
%%
%% Revision 1.22  2004/01/30 20:43:15  stefan
%% restricted the number of arguments in clauses with V1 and predicate complex
%%
%% Revision 1.21  2004/01/29 16:16:16  stefan
%% fixed extraposition with v-last sentences, lexical items
%%
%% Revision 1.20  2004/01/28 18:33:53  stefan
%% fixed adjunct attachment in verbal complexes + PVP
%%
%% Revision 1.19  2004/01/27 20:21:49  stefan
%% cleaned type hierarchy, made adverb attachment less ambiguos
%%
%% Revision 1.18  2004/01/27 19:21:58  stefan
%% depictives
%%
%% Revision 1.17  2004/01/25 20:25:02  stefan
%% reorganized introduction of nonlocal dependencies
%%
%% Revision 1.16  2004/01/24 15:38:16  stefan
%% fixed spurious ambiguities
%%
%% Revision 1.15  2004/01/24 14:33:30  stefan
%% (complement) extraposition
%%
%% Revision 1.14  2004/01/23 20:26:53  stefan
%% fixed n-bar
%%
%% Revision 1.13  2004/01/23 16:31:52  stefan
%% various changes see log
%%
%% Revision 1.12  2004/01/22 23:51:51  stefan
%% treatment for spurious ambiguities with intersective noun modifers
%%
%% Revision 1.11  2004/01/20 21:10:16  stefan
%% empty-noun rule
%%
%% Revision 1.10  2004/01/20 18:32:20  stefan
%% now we use the cyclic trace ...
%%
%% Revision 1.9  2004/01/19 12:17:46  stefan
%% fixed mult vf rule after introduction of cyclic trace
%%
%% Revision 1.8  2003/11/12 14:31:33  stefan
%% fixed detmar's constraint on verb movement traces which did not apply to copula verbs
%%
%% Revision 1.7  2003/11/11 13:59:59  stefan
%% Detmars cyclic verbal trace
%%
%% Revision 1.6  2003/11/04 16:41:03  stefan
%% fixed complemention with saturated verbal complexes, fixed past_conj inflection
%%
%% Revision 1.5  2003/11/03 21:37:55  stefan
%% fixed coordination and spurious ambiguities
%%
%% Revision 1.4  2003/11/03 15:10:18  stefan
%% fixed structural case of adjective subjects, fixed trace information for inflected elements
%%
%% Revision 1.3  2003/11/03 13:42:19  stefan
%% fix in lexical rule for participles, fix verbs with lexical cas object (helfen)
%%
%% Revision 1.2  2003/11/03 11:59:16  stefan
%% fix in lexical rule that introduced spurious ambiguities, fix in coherent constr. with zu-inf
%%
%% Revision 1.1  2003/11/02 20:15:59  stefan
%% got rid ov XCOMP
%%
%% Revision 1.0  2003/11/01 17:35:40  stefan
%% switched after confusion, fixed trace stuff
%%
%% Revision 1.8.2.3  2003/10/31 13:21:41  stefan
%% Adjuncts in the MF, Case asssigment fix
%%
%% Revision 1.8.2.2  2003/10/26 21:09:38  stefan
%% reduced number of rules by trace exclusion
%%
%% Revision 1.8.2.1  2003/10/26 14:42:06  stefan
%% improved grammar_version
%%
%% Revision 1.8  2003/10/23 09:01:13  stefan
%% Back to append again
%%
%% Revision 1.6  2003/10/21 19:37:56  stefan
%% Version after Introduction of Traces
%%
%%
%% Revision 1.2  2003/04/01 08:57:20  stefan
%% Initial revision
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


:-[grammar_version].

%:- parse_and_gen.

% Multifile declarations. 
% Needed since macros, TRALE relations, phrase structure
% and lexical rules are defined in different files

:- multifile macro/2.
:- multifile if/2.
:- multifile '##'/2. 
:- multifile '*>'/2. 
:- multifile ':='/2.

%:- ['redefinitions-for-generation'],parse_and_gen.


% feature hiding and ordering
hidden_feat(dtr).       % hide the dtr in lexical rules
                        % has to be unhidden on request in grisu

hidden_feat(dtrs).      % hide the dtrs attribute (shown by tree)
hidden_feat(head_dtr).  % hide the head_dtr attribute (shown by tree)
hidden_feat(non_head_dtr). % hide the non_head_dtr attribute ("")

%hidden_feat(da).

hidden_feat(spec).

% speed features
hidden_feat(s_subcat).

% temporary
%hidden_feat(cat).
%hidden_feat(nonloc).

>>> phon.        % phon shall be shown first
>>> pform.
>>> pred.
>>> name.
>>> head.

phon <<< synsem.   
synsem <<< c_cont.
synsem <<< zdtr.
nonloc <<< lex.
loc <<< nonloc.

spr    <<< subcat.
subcat <<< adjunction.
adjunction <<< left_adj_poss.


lbl <<< event.
event <<< bv.
bv <<< restr.
restr <<< body.

event <<< arg1.

c_arg <<< arg1.


liszt <<< h_cons.
key <<< liszt.
ind <<< key.
ltop <<< ind.
gtop <<< ltop.

list <<< last.

sc_arg <<< outscpd.

per <<< num.

syn_case <<< morph_case.

que <<< rel.
rel <<< slash.
slash <<< active_extra.
active_extra <<< inert_extra.
inert_extra <<< active_anchors.
active_anchors <<< inert_anchors.



% use ghostview for drawing signatures
graphviz_option(ps,gv).
%graphviz_option(svg,squiggle).
%graphviz_option(svg,grisu).

% use my-draw-hierarchy.pl for scaling and rotating

% Load phonology and tree output

:- [trale_home(tree_extensions)].


% wish must be found in the search path in order for the chart display to work
%:- %shutdown_wish,                   % closes the connection since streams get invalid
%   ensure_loaded(['Extensions/chart-display']).

:- chart_display.

:- nochart_debug.  % this helps if somebody interrupted during chart debugging and the
                   % flag is still set to 'on'.

%nochart_display.
%chart_display.       % default

%english.  % default
:- german.

:- notcl_warnings.  % on = output of warnings in a TCL window, off = output to console

:- hrp.  % use grisu for rules

:- mrs.  % print MRSes of solutions

%:- nofs. % do not print feature structures after parsing

%:- ['Extensions/tsdb'].


root_symbol(@complete_sign). % needed for TSDB  symbol for input that does not end with punctuation
decl_symbol(@decl).          % symbol for input that ends with '.' or '!'
que_symbol(@interrog).       % symbol for input that ends with '?'

% before doing a parse all lexical descriptions
% given in retract_before_parsing/1 are removed
% this is used here to decrease the chart size
% zero inflected elements do not interfere.
retract_before_parsing(stem).  

% for printing MRSes
% the following is the default
%label_feat(lbl).
%top_feat(ltop).

:- [extensions].

% load tokenization rules for parsing ordinary strings and atoms
:- [tokenization].


% specify signature file
signature(signature).

% of course there are more, but I need just these to be able to use negation.
ext([nsep_part]).  % did not work

%:- lex_consult.    % we have to use consult instead of compile, since we get out of memory otherwise
% load lexicon
:- [lexicon,particles].

% load lexicon
%:- [mini_lexicon,particles].

% load lexical macros
%:- [auxverbs].
:- [flex_macros].
:- [le_macros].
:- [fundamental_macros].


% load suffix information that is used by inflectional lexical rules
:- [suffixes].

% load lexical rules
:- [lexrules].
%:- [mini_lexrules].


%:- compile_lrs([trale_home(tree_extensions),flex_macros,constraints,le_macros,fundamental_macros,lexicon,particles,lexrules]).

% load phrase structure rules
:- [rules].

% load phrase structure macros
:- [syntax].

% mostly implicational constraints that are there for speed reasons
:- [speed].

% Definition of clean/0 which cleans the storage of lexical items that can be used during a parse.
:- ['TRALE/clear_lex'].

% load relational constraints for rules
:- [constraints].

% load a test sequence
:- [test_items].


/*

:- dleash(-all).
%:- dleash(+empty).
:- dleash(+rel).

*/

% for generation
semantics sem1.
sem1(synsem:loc:cont:key:Cont,Cont) if true.

cont_path([synsem,loc,cont]).
liszt_path([synsem,loc,cont,liszt,list]).
hcons_path([synsem,loc,cont,h_cons,list]).



gen_sem_path([synsem,loc,cont,key]).

gen_sem_path_(Path) :-
   ( current_predicate(cont_path,cont_path(_)) ->
      gen_sem_path(Path)
   ;   %% The default if the user hasn't defined cont_path/1
      Path = [synsem,loc,cont,key]
   ).

:- discontinuous_edges.

make :- ensure_loaded([trale_home(grammar_interface),
                       trale_home('tsdb/itsdb'),
                       trale_home('chart_display/chart_display'),
                       trale_home('chart_display/sic'),
                       trale_home('chart_display/ale_redefinitions'),
                       trale_home('chart_display/print_mrs'),
                  trale_home('tsdb/retract_lex_desc')    % retraction of stems
                  ,trale_home('tsdb/itsdb-err')              % capi-registration write-filed ...
                 ,trale_home('tsdb/trale-itsdb')
                      ,trale_home('debug_unify'),
                       trale_home('toplevel'),
                       extensions
                 ]),
         discontinuous_edges,
         chart_display,
         nofs,
         german,
         notcl_warnings,
         hrp,
         mrs.

tsdb_debug :- ensure_loaded([trale_home('tsdb/itsdb-err')]).

/*

:- abolish(c/0).

c :- compile_gram(theory),
     retract_lex_desc(stem).

*/

:- ensure_loaded([trale_home('tsdb/retract_lex_desc')]).

:- abolish(c/0).

c :- statistics(walltime,_),
        compile_gram(theory),
        statistics(walltime,[_,T]),
        msec2time(T,Time),
        format(user_error,"Loading completed: ~w~n",[Time]).


d :- c, r.

r :-    format(user_error,"Retracting stems ...~n",[]),
        open_null_stream(DevNull),
        prolog_flag(user_error,UserError,DevNull),
        retract_lex_desc(stem),
        prolog_flag(user_error,_,UserError).