%-----------------------------------------------------------
% File: verb_end_plur      Verb-Endungen Plural
%
% Stefan M(ue)ller
%
% HPSG fuer Deutsch
%
% Version 26.04.95
%
%-----------------------------------------------------------
 
:- multifile verb_endung/1.


verb_endung(A) :- 
  A:phon_e <=> "et",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:ep   <=> p, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres. 


verb_endung(A) :- 
  A:phon_e <=> "et",

  A:flex_m:fk_v    <=> stark, 

  A:flex_m:fk_v_agr:ep   <=> p,  
  A:syn:mood isa indicative,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres. 

verb_endung(A) :- 
  A:phon_e <=> "et",

  A:flex_m:fk_v    <=> stark, 

  A:syn:mood isa conjunctive,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m],
  A:syn:tem isa pres_or_past.  


verb_endung(A) :- 
  A:phon_e <=> "et",

  A:flex_m:fk_v    <=> stark, 

  A:flex_m:fk_v_agr:evp   <=> p,  % war ep  
  A:syn:mood isa indicative,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa past. 

% neu gibt es bei Reimann nur f"ur Singular
verb_endung(A) :-
  A:phon_e <=> "et",
  A:flex_m:fk_v    <=> stark,
 
  A:flex_m:fk_v_agr:spe  <=> p,
  A:syn:mood isa indicative,
  A:syn:num <=> pl,
  A:syn:per <=> [m,2,m],
  A:syn:tem isa past.

verb_endung(A) :- 
  A:phon_e <=> "et",

  A:flex_m:fk_v    <=> misch, 

  A:syn:mood isa conjunctive,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres.

verb_endung(A) :- 
  A:phon_e <=> "et",

  A:flex_m:fk_v    <=> modal, 

  A:syn:mood isa conjunctive,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres.

verb_endung(A) :- 
  A:phon_e <=> "eten",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:ep   <=> p, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [_,m,_], 
  A:syn:tem isa past. 


verb_endung(A) :- 
  A:phon_e <=> "etet",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:ep   <=> p, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa past. 


verb_endung(A) :- 
  A:phon_e <=> "n",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:pl_n <=> p, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [_,m,_], 
  A:syn:tem isa pres. 

verb_endung(A) :- 
  A:phon_e <=> "t",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:ep   <=> m, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres. 

verb_endung(A) :- 
  A:phon_e <=> "t",

  A:flex_m:fk_v    <=> stark, 

  A:flex_m:fk_v_agr:ep   <=> m, 
  A:syn:mood isa indicative,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres. 


verb_endung(A) :- 
  A:phon_e <=> "t",

  A:flex_m:fk_v    <=> stark, 

  A:flex_m:fk_v_agr:evp   <=> m,  % war ep  
  A:flex_m:fk_v_agr:spe   <=> m,  % St. M"u.

  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa past. 


verb_endung(A) :- 
  A:phon_e <=> "t",

  A:flex_m:fk_v    <=> misch, 

  A:flex_m:fk_v_agr:ep   <=> m, 
  A:syn:mood isa indicative,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa pres. 


verb_endung(A) :- 
  A:phon_e <=> "t",

  A:flex_m:fk_v    <=> modal, 

  A:syn:mood isa indicative,
  A:syn:num  <=> pl, 
  A:syn:per  <=> [m,2,m], 
  A:syn:tem  isa pres. 


verb_endung(A) :- 
  A:phon_e <=> "ten",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:ep   <=> m, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [_,m,_], 
  A:syn:tem isa past. 


verb_endung(A) :- 
  A:phon_e <=> "ten",

  A:flex_m:fk_v    <=> misch, 

  A:syn:mood isa ind_or_conj, %[ind,m],
  A:syn:num  <=> pl, 
  A:syn:per  <=> [_,m,_], 
  A:syn:tem  isa past. 

/*
verb_endung(A) :- 
  A:phon_e <=> "ten",

  A:flex_m:fk_v    <=> misch, 

  A:syn:mood <=> konj,
  A:syn:num  <=> pl, 
  A:syn:per  <=> [_,m,_],
  A:syn:tem  <=> none. 
*/

verb_endung(A) :- 
  A:phon_e <=> "ten",

  A:flex_m:fk_v    <=> modal, 

  A:syn:mood isa ind_or_conj,         %[ind,m],
  A:syn:num  <=> pl, 
  A:syn:per  <=> [_,m,_], 
  A:syn:tem  isa past. 

/*
verb_endung(A) :- 
  A:phon_e <=> "ten",

  A:flex_m:fk_v    <=> modal, 

  A:syn:mood <=> konj,
  A:syn:num <=> pl, 
  A:syn:per <=> [_,m,_],
  A:syn:tem <=> none. 

*/



verb_endung(A) :- 
  A:phon_e <=> "tet",

  A:flex_m:fk_v    <=> schwach, 

  A:flex_m:fk_v_agr:ep   <=> m, 
  A:syn:mood isa ind_or_conj,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m], 
  A:syn:tem isa past. 


verb_endung(A) :- 
  A:phon_e <=> "tet",

  A:flex_m:fk_v    <=> misch, 

  A:syn:mood isa ind_or_conj, %[ind,m],
  A:syn:num  <=> pl, 
  A:syn:per  <=> [m,2,m], 
  A:syn:tem  isa past. 

/*
verb_endung(A) :- 
  A:phon_e <=> "tet",

  A:flex_m:fk_v    <=> misch, 

  A:syn:mood <=> konj,
  A:syn:num <=> pl, 
  A:syn:per <=> [m,2,m],
  A:syn:tem <=> none.
*/


verb_endung(A) :- 
  A:phon_e <=> "tet",

  A:flex_m:fk_v    <=> modal, 

  A:syn:mood isa ind_or_conj,              % [ind,m],
  A:syn:num  <=> pl, 
  A:syn:per  <=> [m,2,m], 
  A:syn:tem  isa past. 

/*
verb_endung(A) :- 
  A:phon_e <=> "tet",

  A:flex_m:fk_v    <=> modal, 

  A:syn:mood <=> konj,
  A:syn:num  <=> pl, 
  A:syn:per  <=> [m,2,m],
  A:syn:tem  <=> none. 
*/



